Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226182 - Merge Review: nasm
Summary: Merge Review: nasm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:14 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 0.98.39-5.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-05 17:06:21 UTC
tibbs: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:14:46 UTC
Fedora Merge Review: nasm

http://cvs.fedora.redhat.com/viewcvs/devel/nasm/
Initial Owner: pmachata@redhat.com

Comment 1 Jason Tibbitts 2007-02-03 20:08:53 UTC
Some rpmlint complaints:
   E: nasm non-utf8-spec-file nasm.spec
   E: nasm-debuginfo tag-not-utf8 %changelog
   E: nasm-doc tag-not-utf8 %changelog
   E: nasm tag-not-utf8 %changelog
   E: nasm-rdoff tag-not-utf8 %changelog
   E: nasm tag-not-utf8 %changelog
These are all due to Trond's name in the changelog; it would probably be
best to run the entire changelog through iconv to get rid of these.

   W: nasm-doc summary-ended-with-dot Documentation for NASM.
   W: nasm summary-ended-with-dot A portable x86 assembler which uses Intel-like syntax.
   W: nasm-rdoff summary-ended-with-dot Tools for the RDOFF binary format, sometimes used with NASM.
   W: nasm summary-ended-with-dot A portable x86 assembler which uses Intel-like syntax.
Trivial to clean these up.

   W: nasm prereq-use /sbin/install-info
Use this instead:
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

   W: nasm setup-not-quiet
Not a big deal, but you can pass "-q" on the %setup line to quiet it.

   W: nasm patch-not-applied Patch0: nasm-0.98-boguself2.patch
If this patch isn't needed, it should probably just be removed.

   W: nasm-rdoff no-documentation
This is OK.

The only other issue I see is the BuildRoot:.

Review:
* source files match upstream:
   7865f74acac6b7dccb58eda9164a86da40968eea8aa650926594e0083eaaed77
   nasm-0.98.39.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
X build root is not correct; should be:
  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  Whether this is absolutely mandatory depends on a decision by FESCo, which
  should happen over the weekend.
* license field matches the actual license.
*  license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper (BR: perl is unnecessary)
* compiler flags are appropriate.
* %clean is present.
* package builds in mock.
* debuginfo package looks complete.
X rpmlint is silent.
* final provides and requires are sane:
  nasm-0.98.39-4.fc7.i386.rpm
   nasm = 0.98.39-4.fc7
  =
   /bin/sh
   /sbin/install-info
  (other packages have only basic dependencies)
O %check is not present; there does seem to be something resembling a test
    suite in the source, but I'm not sure if it's feasible to run it at build
    time.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is in a -doc subpackage.
* %docs are not necessary for the proper functioning of the package.
*  no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.


Comment 2 Jason Tibbitts 2007-02-03 23:28:58 UTC
Just a note:

I did attempt to build this package with "make DESTDIR=.. install" instead of
%makeinstall and it failed to build with the usual permission failures as it
tries to write outside of the buildroot.  So %makeinstall seems to be required here.

Comment 3 Petr Machata 2007-02-07 19:02:39 UTC
Tidied up version commited, not built.
rpmlint is silent, for both source and binary rpm.


Comment 4 Jason Tibbitts 2007-02-23 16:31:01 UTC
Drat, assignment pingponging caused this to drop completely off of my list. 
I'll get back to this today.

Comment 5 Jason Tibbitts 2007-02-24 00:48:40 UTC
OK, buildroot is good, rpmlint is quiet except for the single line
   W: nasm-rdoff no-documentation
which is not a problem.  So we're good to go.

APPROVED

Go ahead and close this bug when the package has made it into rawhide.

Comment 6 Jason Tibbitts 2007-05-05 17:06:21 UTC
It looks like this is in rawhide now, so this bug should be closed.  I'll go
ahead and do that.


Note You need to log in before you can comment on or make changes to this bug.